Difference between revisions of "Amavisd not starting after upgrade from v8.0.x to higher versions(8.5.x,8.6.x and 8.7.x)"

m (Problem :)
(Solution :)
Line 14: Line 14:
  
 
==== Solution :  ====
 
==== Solution :  ====
If the server is having Internet access then following sa-update will resolve the issue :   
+
The problem occurs due to the problems with the SpamAssassin database.
 +
To resolve this, we'll have to update the database.
 +
 
 +
If the server has Internet access then running sa-update will resolve the issue:   
  
 
  su – zimbra   
 
  su – zimbra   
Line 20: Line 23:
 
  zmamavisdctl restart  
 
  zmamavisdctl restart  
  
 
+
If the server is an isolated network, we'll regenerate the database:  
 
 
If ZCS server is in DMZ or isolated network :  
 
  
 
* Check “state” directory in “/opt/zimbra/data/spamassassin/”.  
 
* Check “state” directory in “/opt/zimbra/data/spamassassin/”.  
Line 30: Line 31:
 
  mv /opt/zimbra/data/spamassassin/state /tmp/state   
 
  mv /opt/zimbra/data/spamassassin/state /tmp/state   
 
  zmamavisdctl restart
 
  zmamavisdctl restart
 
  
  
 
{{Article Footer|Zimbra Collaboration 8.7, 8.6, 8.5| 17/07/2017}}
 
{{Article Footer|Zimbra Collaboration 8.7, 8.6, 8.5| 17/07/2017}}
 
{{NeedSME|SME1|SME2|COPY EDITOR}}
 
{{NeedSME|SME1|SME2|COPY EDITOR}}

Revision as of 11:57, 15 May 2018

Amavisd not starting after upgrade from v8.0.x to higher versions(8.5.x,8.6.x and 8.7.x)

   KB 23253        Last updated on 2018-05-15  




0.00
(0 votes)

Problem :

After upgrade Amavisd does not start and zimbra.log shows the following errors.

Not able to start Amavis services, error : 
Dec 21 10:02:29 server amavis[7787]: initializing Mail::SpamAssassin (0) 
Dec 21 10:02:29 server amavis[7787]: (!!)TROUBLE in pre_loop_hook: config: no rules were found! Do you need to run 'sa-update'? 
Dec 21 10:02:29 server amavis[7787]: (!)_DIE: Suicide () TROUBLE in pre_loop_hook: config: no rules were found! Do you need to run 'sa-update'?

Solution :

The problem occurs due to the problems with the SpamAssassin database. To resolve this, we'll have to update the database.

If the server has Internet access then running sa-update will resolve the issue:

su – zimbra  
/opt/zimbra/zimbramon/bin/sa-update -D  
zmamavisdctl restart 

If the server is an isolated network, we'll regenerate the database:

  • Check “state” directory in “/opt/zimbra/data/spamassassin/”.
  • If “state” directory is present then move it to some other location and restart Amavisd service.
mv /opt/zimbra/data/spamassassin/state /tmp/state  
zmamavisdctl restart


Verified Against: Zimbra Collaboration 8.7, 8.6, 8.5 Date Created: 17/07/2017
Article ID: https://wiki.zimbra.com/index.php?title=Amavisd_not_starting_after_upgrade_from_v8.0.x_to_higher_versions(8.5.x,8.6.x_and_8.7.x) Date Modified: 2018-05-15



Try Zimbra

Try Zimbra Collaboration with a 60-day free trial.
Get it now »

Want to get involved?

You can contribute in the Community, Wiki, Code, or development of Zimlets.
Find out more. »

Looking for a Video?

Visit our YouTube channel to get the latest webinars, technology news, product overviews, and so much more.
Go to the YouTube channel »


Wiki/KB reviewed by SME1 SME2 COPY EDITOR Last edit by Shanxt
Jump to: navigation, search